import { axisLeft, axisBottom } from 'd3';

export const axes = (selection, options) => {
  const {
    xScale,
    yScale,
    margin,
    height,
    xAxisLabel,
    yAxisLabel,
  } = options;

  const leftArrowSym = '→';

  // Axes themselves
  selection
    .selectAll('g.y-axis')
    .data([1])
    .join('g')
    .attr('class', 'y-axis')
    .attr('transform', `translate(${margin.left}, 0)`)
    .call(axisLeft(yScale));

  selection
    .selectAll('g.x-axis')
    .data([1])
    .join('g')
    .attr('class', 'x-axis')
    .attr(
      'transform',
      `translate(0, ${height - margin.bottom})`,
    )
    .call(axisBottom(xScale));

  // Axes Labels
  selection
    .selectAll('text.x-axis-label')
    .data([1])
    .join('text')
    .attr('class', 'x-axis-label')
    .attr('transform', `translate(0, 0)`)
    .text(xAxisLabel);
}