import { scaleLinear, axisLeft, axisBottom } from 'd3';
import { axes } from './axes';

export const viz = (selection, options) => {
  const { margin, width, height } = options;

  const innerWidth = width - margin.left - margin.right;
  const innerHeight = height - margin.top - margin.bottom;

  const xScale = scaleLinear()
    .domain([0, 100])
    .range([margin.left, width - margin.right]);
  const yScale = scaleLinear()
    .domain([0, 100])
    .range([height - margin.bottom, margin.top]);

  const svg = selection
    .selectAll('svg')
    .data([1])
    .join('svg')
    .attr('width', width)
    .attr('height', height);

  svg
    .selectAll('rect')
    .data([null])
    .join('rect')
    .attr('x', margin.left)
    .attr('y', margin.top)
    .attr('width', innerWidth)
    .attr('height', innerHeight)
    .attr('fill', '#D6D6D6');

  svg.call(axes, { xScale, yScale, height, margin });
};
